Bug 177602 - textproc/p5-DocSet: [PATCH] bad plist prevents packaging
Summary: textproc/p5-DocSet: [PATCH] bad plist prevents packaging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-03 11:20 UTC by John Marino
Modified: 2013-04-16 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (365 bytes, patch)
2013-04-03 11:20 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-04-03 11:20:00 UTC
Due to using a directory in the plist, pkg produces an empty package of p5-DocSet with no manifest.  Fix attached.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-03 11:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2013-04-14 17:13:53 UTC
Responsible Changed
From-To: perl->crees

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-04-16 19:28:21 UTC
Author: crees
Date: Tue Apr 16 18:28:13 2013
New Revision: 315878
URL: http://svnweb.freebsd.org/changeset/ports/315878

Log:
  Fix plist
  
  PR:		ports/177602
  Submitted by:	John Marino <draco@marino.st>
  Feature safe:	yes

Modified:
  head/textproc/p5-DocSet/pkg-plist

Modified: head/textproc/p5-DocSet/pkg-plist
==============================================================================
--- head/textproc/p5-DocSet/pkg-plist	Tue Apr 16 18:27:13 2013	(r315877)
+++ head/textproc/p5-DocSet/pkg-plist	Tue Apr 16 18:28:13 2013	(r315878)
@@ -11,7 +11,6 @@ bin/html2ps
 %%SITE_PERL%%/DocSet/Source/Text.pm
 %%SITE_PERL%%/DocSet/Source/POD.pm
 %%SITE_PERL%%/DocSet/Source/HTML.pm
-%%SITE_PERL%%/DocSet/Template/Plugin
 %%SITE_PERL%%/DocSet/Template/Plugin/NavigateCache.pm
 %%SITE_PERL%%/DocSet/DocSet.pm
 %%SITE_PERL%%/DocSet/Config.pm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2013-04-16 19:29:03 UTC
Author: crees
Date: Tue Apr 16 18:28:55 2013
New Revision: 315879
URL: http://svnweb.freebsd.org/changeset/ports/315879

Log:
  Fix plist
  
  PR:		ports/177602
  Submitted by:	John Marino <draco@marino.st>
  Feature safe:	yes

Modified:
  head/devel/p5-File-SafeDO/pkg-plist

Modified: head/devel/p5-File-SafeDO/pkg-plist
==============================================================================
--- head/devel/p5-File-SafeDO/pkg-plist	Tue Apr 16 18:28:13 2013	(r315878)
+++ head/devel/p5-File-SafeDO/pkg-plist	Tue Apr 16 18:28:55 2013	(r315879)
@@ -1,5 +1,4 @@
 %%SITE_PERL%%/File/SafeDO.pm
-%%SITE_PERL%%/%%PERL_ARCH%%/auto/File
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/File/SafeDO/.packlist
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/File/SafeDO
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/File
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2013-04-16 19:30:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!